Bug 858678 - rhsm registering for duplicate name fails: ERROR: duplicate key value violates unique constraint "index_systems_on_name_and_environment_id"
rhsm registering for duplicate name fails: ERROR: duplicate key value violat...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 08:05 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An error appears when registering a system for a second time with an existing application key: "duplicate key violates unique constraint" This bug fix removes this constraint to allow a system to re-register at a later time, even if previously registered.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:55:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-09-19 08:05:18 EDT
Description of problem:
Recent version of provided CFSE 1.1 puddle has an issue with returning the error in case of duplicate system registration via AK 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.create AK
2.subscription-manager register --activationkey=no-limit --org ACME_Corporation
3.subscription-manager clean (makes possible to make another reg.)
4.subscription-manager register --activationkey=no-limit --org ACME_Corporation 
  
Actual results:
ERROR:  duplicate key value violates unique constraint "index_systems_on_name_and_environment_id"

Expected results:
better error (or maybe we decided to allow using duplicate system names?)

Additional info:
btw I see the same error making registration via user/pass
Comment 1 Garik Khachikyan 2012-09-19 09:09:41 EDT
so seems we allow duplicate system names registration: https://bugzilla.redhat.com/show_bug.cgi?id=746765
Comment 3 Lukas Zapletal 2012-09-19 09:10:21 EDT
I am going to remove line

  add_index  :systems, :environment_id

from

src/db/migrate/20120820145108_add_db_indexes.rb

Please note for testing this you will need FRESH INSTALLATION of the next puddle, because yum upgrade won't work in this case (from puddle to puddle). I am fixing this directly in the migration script.
Comment 4 Lukas Zapletal 2012-09-19 09:13:16 EDT
https://github.com/Katello/katello/pull/706
Comment 7 Lukas Zapletal 2012-09-21 05:07:45 EDT
Sorry, git pull 706 was incorrect and did not pass the review :-)

Requesting new one: https://github.com/Katello/katello/pull/725
Comment 10 Og Maciel 2012-09-28 11:18:35 EDT
Verified:


* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-9.el6cf.noarch
* katello-all-1.1.12-9.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-5.el6cf.noarch
* katello-cli-common-1.1.8-5.el6cf.noarch
* katello-common-1.1.12-9.el6cf.noarch
* katello-configure-1.1.9-4.el6cf.noarch
* katello-glue-candlepin-1.1.12-9.el6cf.noarch
* katello-glue-pulp-1.1.12-9.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 12 errata-xmlrpc 2012-12-04 14:55:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.